<!-- Polymer Components -->
<link rel="import"
      href="bower_components/core-list/core-list.html">
<link rel="import"
      href="bower_components/paper-button/paper-button.html">

<!-- Custom Components -->
<link rel="import"
      href="bower_components/rab-fast-scroll/rab-fast-scroll.html">

<polymer-element name="pinyin-list">

    <template>

        <link rel="stylesheet" href="stylesheets/list.css">

        <core-list data="{{data}}" groups="{{groups}}" id="scrollWindow" runwayFactor="2000" fit>
            <template>
                <div divider class="divider">
                    <div class="letter">{{groupModel.letter}}</div>
                </div>

                <div class="item" horizontal layout>

                    <template repeat="{{tones, tone in model.tones}}">
                        <div flex>
                            <paper-button on-click="{{ playSound }}" class="avatar">
                                <span>{{tones.tone}}</span>
                            </paper-button>
                        </div>
                    </template>

                </div>
            </template>
        </core-list>

        <rab-fast-scroll pin="true" speed="{{scrollSpeed}}" target="{{scrollTarget}}"></rab-fast-scroll>

    </template>

    <script>
        Polymer('pinyin-list', {

            ready: function () {
                this.scrollTarget = '#scrollWindow';
                this.scrollSpeed = 50;
            },
            playSound: function (e, detail, sender) {

                var name = sender.templateInstance.model.model.combination,
                    tone = sender.templateInstance.model.tones.nr;

                Sound.playSound(name, tone);

            },
            data: PinYin.combinations,
            groups: PinYin.initials

        });
    </script>

</polymer-element>